export interface AuthSession {
    accessToken: string;
    name: string;
    type: string;
    username: string;
    ttlInSeconds: number;
}

export interface RawTransaction {
    //txn id?
    id: string;
    //often null
    accountNumber: string | null;
    amount: Number;
    currencyCode: string;
    //ISO date
    bookingDate: string;
    //ISO date
    valueDate: string;

    balanceAfterTransaction: Number;

    displayText: string;

    //how do these relate to id?
    reference: string;
    referenceNumber: string;

    //how does it relate to the booking/value dates?
    //exact time of txn/
    timestamp: string;

    textCodeDescription: string;
    payerDescription: string;

    // e.g. Utteky med debitkorti
    description: String;

    batchID: string;

    // only for individuals?
    recipientKennitala: string;

    recipientName: string;
    //probably some kind of txn category (central bank?)
    transactionCodekey: string;

    bankBranch: string;
    debitCardWarrantyNumber: string | null;

    //currency to ISK exchange rate
    exchangeRate: Number;

    // what is displayed to the user in the table
    customerDescription: string;

    //don't know what this could be.
    details: null;
}
